PlatformIO Community

Stop Platformio installing python 2.7.13


#1

Hi all,

every time I load Atom, platformio installs Python 2.7.13. This continues to catch me out as I’m coding using v3 and when I test my code, I get errors. I have no use for v2. Does anybody know how to stop platformio installing this package?


#2

PlatformIO uses python 2.x


#3

But is there any way to disassociate it?


#4

It is required to run. Do you want to run platformio?


#5

A support for Python 3 was added in PlatformIO Core 4.0 which has not been released yet.